package market.Slm.ContractManagement.vo;

import java.io.Serializable;
import java.util.Date;

import market.Slm.ContractManagement.mapper.SlmContractModelHeatMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_CONTRACT_MODEL_HEAT", namespace=SlmContractModelHeatMapper.class)
public class SlmContractModelHeat extends BaseVO implements Serializable {
	/**
	 * 合同范本头表
	 */
	private static final long serialVersionUID = 1792302705581138137L;
	@Id
	//合同范本编号
	private String contract_model_no;
	public String  getContract_model_no() {
		return this.contract_model_no;
	}
	public void setContract_model_no(String contract_model_no) {
		this.contract_model_no = contract_model_no;
	}

	@Column
	//合同范本名称
	private String contract_model_name;
	public String  getContract_model_name() {
		return this.contract_model_name;
	}
	public void setContract_model_name(String contract_model_name) {
		this.contract_model_name = contract_model_name;
	}

	@Column
	//是否通用(1：通用；0:专用)
	private String is_common_use;
	public String  getIs_common_use() {
		return this.is_common_use;
	}
	public void setIs_common_use(String is_common_use) {
		this.is_common_use = is_common_use;
	}

	@Column
	//是否为客户模板
	private String is_customer_model;
	public String  getIs_customer_model() {
		return this.is_customer_model;
	}
	public void setIs_customer_model(String is_customer_model) {
		this.is_customer_model = is_customer_model;
	}

	@Column
	//适用单位编号
	private String unit_no;
	public String  getUnit_no() {
		return this.unit_no;
	}
	public void setUnit_no(String unit_no) {
		this.unit_no = unit_no;
	}

	@Column
	//适用单位名称
	private String unit_name;
	public String  getUnit_name() {
		return this.unit_name;
	}
	public void setUnit_name(String unit_name) {
		this.unit_name = unit_name;
	}

	@Column
	//模板审批状态
	private String contract_model_flag;
	public String  getContract_model_flag() {
		return this.contract_model_flag;
	}
	public void setContract_model_flag(String contract_model_flag) {
		this.contract_model_flag = contract_model_flag;
	}

	@Column
	//评估结果
	private String evaluate_result;
	public String  getEvaluate_result() {
		return this.evaluate_result;
	}
	public void setEvaluate_result(String evaluate_result) {
		this.evaluate_result = evaluate_result;
	}

	@Column
	//备注
	private String memo;
	public String  getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	@Column
	//状态
	private String valid_flag;
	public String  getValid_flag() {
		return this.valid_flag;
	}
	public void setValid_flag(String valid_flag) {
		this.valid_flag = valid_flag;
	}

	@Column
	//创建人编号
	private String create_man_no;
	public String  getCreate_man_no() {
		return this.create_man_no;
	}
	public void setCreate_man_no(String create_man_no) {
		this.create_man_no = create_man_no;
	}

	@Column
	//创建人姓名
	private String create_man_name;
	public String  getCreate_man_name() {
		return this.create_man_name;
	}
	public void setCreate_man_name(String create_man_name) {
		this.create_man_name = create_man_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//创建时间
	private Date create_time;
	public Date  getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	@Column
	//修改人编号
	private String update_man_no;
	public String  getUpdate_man_no() {
		return this.update_man_no;
	}
	public void setUpdate_man_no(String update_man_no) {
		this.update_man_no = update_man_no;
	}

	@Column
	//修改人姓名
	private String update_man_name;
	public String  getUpdate_man_name() {
		return this.update_man_name;
	}
	public void setUpdate_man_name(String update_man_name) {
		this.update_man_name = update_man_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//修改时间
	private Date update_time;
	public Date  getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	@Column
	//删除人编号
	private String delete_man_no;
	public String  getDelete_man_no() {
		return this.delete_man_no;
	}
	public void setDelete_man_no(String delete_man_no) {
		this.delete_man_no = delete_man_no;
	}

	@Column
	//删除人姓名
	private String delete_man_name;
	public String  getDelete_man_name() {
		return this.delete_man_name;
	}
	public void setDelete_man_name(String delete_man_name) {
		this.delete_man_name = delete_man_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//删除时间
	private Date delete_time;
	public Date  getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}

}
